Experiments
Finalize or annotate an experiment
Finalize or annotate an experiment
curl --request PATCH \
--url https://api.atlan.com/eval/v1/experiments/{experiment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"name": "<string>",
"summary": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', name: '<string>', summary: {}})
};
fetch('https://api.atlan.com/eval/v1/experiments/{experiment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/experiments/{experiment_id}"
payload = {
"display_name": "<string>",
"name": "<string>",
"summary": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"artifact_status": "<string>",
"commit_ts": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_latest": true,
"kind": "<string>",
"name": "<string>",
"source_type": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"version_ordinal": 123,
"workspace_id": "<string>",
"app": "<string>",
"content_hash_hex": "<string>",
"current_releases": {},
"display_name": "<string>",
"etag": "<string>",
"identity": {
"client_id": "<string>",
"credential_kind": "<string>",
"api_key": "<string>",
"api_key_expires_at": "<string>",
"client_secret": "<string>"
},
"oidc_client_id": "<string>",
"owner_id": "<string>",
"project_id": "<string>",
"repo_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_digest": "<string>",
"source_id": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_uri": "<string>",
"source_version": "<string>",
"uri": "<string>",
"version_label": "<string>",
"write_index": 123,
"baseline_experiment_id": "<string>",
"config": {},
"dataset_id": "<string>",
"dataset_snapshot": {
"dataset_id": "<string>",
"input_key": "<string>",
"version_ordinal": 123,
"content_hash_hex": "<string>",
"file_digest": "<string>",
"file_id": "<string>",
"file_version_ordinal": 123,
"records": [
{
"id": "<string>",
"input": {},
"source_kind": "manual",
"version_ordinal": 123,
"categories": [
"<string>"
],
"content_hash_hex": "<string>",
"display_input": "<unknown>",
"expected": {},
"extra": {},
"label": "<string>",
"source_ref": "<string>"
}
],
"row_count": 123
},
"experiment_status": "running",
"subject_id": "<string>",
"subject_kind": "agent",
"summary": {},
"permissions": {},
"relationships": {
"count": 1,
"incoming": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"weight": 123
}
],
"outgoing": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"weight": 123
}
]
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Path Parameters
Body
application/json
Response
HTTP 200 response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
running, completed, failed Available options:
agent, harness, skill Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Finalize or annotate an experiment
curl --request PATCH \
--url https://api.atlan.com/eval/v1/experiments/{experiment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"name": "<string>",
"summary": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', name: '<string>', summary: {}})
};
fetch('https://api.atlan.com/eval/v1/experiments/{experiment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/experiments/{experiment_id}"
payload = {
"display_name": "<string>",
"name": "<string>",
"summary": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"artifact_status": "<string>",
"commit_ts": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"id": "<string>",
"is_latest": true,
"kind": "<string>",
"name": "<string>",
"source_type": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"version_ordinal": 123,
"workspace_id": "<string>",
"app": "<string>",
"content_hash_hex": "<string>",
"current_releases": {},
"display_name": "<string>",
"etag": "<string>",
"identity": {
"client_id": "<string>",
"credential_kind": "<string>",
"api_key": "<string>",
"api_key_expires_at": "<string>",
"client_secret": "<string>"
},
"oidc_client_id": "<string>",
"owner_id": "<string>",
"project_id": "<string>",
"repo_id": "<string>",
"source_created_at": "<string>",
"source_created_by": "<string>",
"source_digest": "<string>",
"source_id": "<string>",
"source_last_modified_at": "<string>",
"source_last_modified_by": "<string>",
"source_metadata": "<unknown>",
"source_synced_at": "<string>",
"source_uri": "<string>",
"source_version": "<string>",
"uri": "<string>",
"version_label": "<string>",
"write_index": 123,
"baseline_experiment_id": "<string>",
"config": {},
"dataset_id": "<string>",
"dataset_snapshot": {
"dataset_id": "<string>",
"input_key": "<string>",
"version_ordinal": 123,
"content_hash_hex": "<string>",
"file_digest": "<string>",
"file_id": "<string>",
"file_version_ordinal": 123,
"records": [
{
"id": "<string>",
"input": {},
"source_kind": "manual",
"version_ordinal": 123,
"categories": [
"<string>"
],
"content_hash_hex": "<string>",
"display_input": "<unknown>",
"expected": {},
"extra": {},
"label": "<string>",
"source_ref": "<string>"
}
],
"row_count": 123
},
"experiment_status": "running",
"subject_id": "<string>",
"subject_kind": "agent",
"summary": {},
"permissions": {},
"relationships": {
"count": 1,
"incoming": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"weight": 123
}
],
"outgoing": [
{
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"kind": "<string>",
"is_readable": true
},
"weight": 123
}
]
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}